ExtendedNumerics mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.ArithmeticException System.Runtime.InteropServices.ComVisible(true)

is available for programming languages that do not support the concepts of infinity and Not-a-Number in floating-point operations.

uses the HRESULT COR_E_NOTFINITENUMBER, which has the value 0x80131528.

For a list of initial property values for an instance of , see the constructors.

The exception that is thrown when a floating-point value is positive infinity, negative infinity, or Not-a-Number (NaN).

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor initializes the property of the new instance to a system-supplied message that describes the error, such as "The number encountered was not a finite quantity." This message takes into account the current system culture.

  The following table shows the initial property values for an instance of .

  Property

  Value

  A null reference (Nothing in Visual Basic).

  The localized error message string.

  Initializes a new instance of the class.

  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The parameter must be both a and an invalid number.

  The following table shows the initial property values for an instance of .

  Property

  Value

  A null reference (Nothing in Visual Basic).

  The invalid number.

  Initializes a new instance of the class with the invalid number.

  The value of the argument that caused the exception.
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Ensure that the string is understandable to the user and that it is localized for the current culture.

  The following table shows the initial property values for an instance of .

  Property

  Value

  A null reference (Nothing in Visual Basic).

  The error message string.

  Initializes a new instance of the class with a specified error message.

  The message that describes the error.
  0
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  This constructor is called during deserialization to reconstitute the exception object transmitted over a stream.

  Initializes a new instance of the class with serialized data.

  The object that holds the serialized object data.
  The contextual information about the source or destination.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Ensure that the string is understandable to the user and that it is localized for the current culture.

  The following table shows the initial property values for an instance of .

  Property

  Value

  A null reference (Nothing in Visual Basic).

  The error message string.

  The invalid number.

  Initializes a new instance of the class with a specified error message and the invalid number.

  The message that describes the error.
  The value of the argument that caused the exception.
  0
- Constructor
  2.0.0.0
  4.0.0.0

  An exception that is thrown as a direct result of a previous exception can include a reference to the previous exception in the property. The property returns the same value that is passed into the constructor, or null if the property does not supply the inner exception value to the constructor.

  The following table shows the initial property values for an instance of .

  Property

  Value

  The inner exception reference.

  The error message string.

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is root cause of this exception.

  The error message that explains the reason for the exception.
  The exception that is the cause of the current exception. If the parameter is not a null reference (Nothing in Visual Basic), the current exception is raised in a catch block that handles the inner exception.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  An exception that is thrown as a direct result of a previous exception can include a reference to the previous exception in the property. The property returns the same value that is passed into the constructor, or null if the property does not supply the inner exception value to the constructor.

  The following table shows the initial property values for an instance of .

  Property

  Value

  The inner exception reference.

  The error message string.

  The invalid number.

  Initializes a new instance of the class with a specified error message, the invalid number, and a reference to the inner exception that is root cause of this exception.

  The error message that explains the reason for the exception.
  The value of the argument that caused the exception.
  The exception that is the cause of the current exception. If the parameter is not a null reference (Nothing in Visual Basic), the current exception is raised in a catch block that handles the inner exception.
  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  sets a with all the exception object data targeted for serialization. During deserialization, the exception object is reconstituted from the transmitted over the stream.

  For more information, see .

  Sets the object with the invalid number and additional exception information.

  The object that holds the serialized object data. The contextual information about the source or destination.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Double

  A that contains the invalid value.

  The property returns the same value as was passed into the constructor, or zero if no value was supplied. Override the property to customize the content or format of the invalid value.

  This property is read-only.

  Gets the invalid number that is a positive infinity, a negative infinity, or Not-a-Number (NaN).

  0
0